<?php
include('../common/parseargs.php');
include('../common/getObject.php');

$USAGE=" --policyID=<policyID>  [optionalparms: --name=<name> --description=<description> --forceFullBlockScan=<forceFullBlockScan> --recoveryPointLimit=<recoveryPointLimit> --diskSafeID=<diskSafeID>  --frequencyType=<frequencyType>  --frequencyValues=<frequencyValues> --enabled=<enabled> ]";


include('../common/basicargcheck.php');

if ($argc < 2) { 
	usage($argv[0],$USAGE);
	exit(1);
}


#arguments
$POLICYID=$args_array['policyID'];
$NAME=$args_array['name'];
$DESCRIPTION=$args_array['description'];
$FORCEFULLBLOCKSCAN=$args_array['forceFullBlockScan'];
$DISKSAFEID=$args_array['diskSafeID'];
$FREQUENCYTYPE=$args_array['frequencyType'];
$FREQUENCYVALUES=$args_array['frequencyValues'];
$ENABLED=$args_array['enabled'];
$RECOVERYPOINTLIMIT=$args_array['recoveryPointLimit'];

if (!$POLICYID)
{
	echo "ERROR: --policyid=<policyid> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

$policyObj = getPolicies($USER,$PASS,$HOST,$PORT);

foreach($policyObj->return as $tmp)
{
	if($tmp->id == $POLICYID)
	{
		$policy = $tmp;
		break;
	}
}

if($DISKSAFEID)
{
	$policy->diskSafeID = $DISKSAFEID;
}

if($NAME)
{
	$policy->name = $NAME;
}

if($DESCRIPTION)
{
	$policy->description = $DESCRIPTION;
}

if($FORCEFULLBLOCKSCAN)
{
	$policy->forceFullBlockScan = $FORCEFULLBLOCKSCAN;
}

if($RECOVERYPOINTLIMIT)
{
	$policy->recoveryPointLimit = $RECOVERYPOINTLIMIT;
}

if($FREQUENCYTYPE)
{
	$policy->frequencyType = $FREQUENCYTYPE;
}

if($FREQUENCYVALUES)
{
	$policy->frequencyValues = $FREQUENCYVALUES;
}

if($ENABLED)
{
	$policy->enabled = $ENABLED;
}

try{
	$client = new soapclient("https://$HOST:$PORT/Policy?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1,
		'classmap'=>array('Policy'=>'Policy')
		)
	);

	$client->updatePolicy(array('policy'=>$policy));

	echo "Successfully executed updatePolicy\n";

} 
catch (SoapFault $exception)
{
	echo $exception;
}
?> 
